/*
Copyright © 2023 Philipp Wolfer <phw@uploadedlobster.com>

Scotty is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later version.

Scotty is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
Scotty. If not, see <https://www.gnu.org/licenses/>.
*/

package i18n

import (
	"golang.org/x/text/language"
	"golang.org/x/text/message"
)

type Localizer struct {
	printer *message.Printer
}

// Create a new Localizer for a language tag
func New(lang language.Tag) Localizer {
	return Localizer{
		printer: message.NewPrinter(lang),
	}
}

// Return the translated string, with variables replaced.
func (l Localizer) Translate(key message.Reference, args ...interface{}) string {
	return l.printer.Sprintf(key, args...)
}
